Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Upload images and videos for use in generation requests
curl -X POST https://api.modelhunter.ai/api/v1/files/upload-url \ -H "Authorization: Bearer river_live_xxx" \ -H "Content-Type: application/json" \ -d '{ "filename": "my-image.jpg", "contentType": "image/jpeg", "sizeBytes": 2048576 }'
{ "success": true, "data": { "upload_url": "https://storage.modelhunter.ai/uploads/file_abc123?X-Amz-Signature=xxx", "file_id": "file_abc123", "expires_at": "2025-01-15T10:15:00Z" } }
PUT
curl -X PUT "https://storage.modelhunter.ai/uploads/file_abc123?X-Amz-Signature=xxx" \ -H "Content-Type: image/jpeg" \ --data-binary @my-image.jpg
curl -X POST https://api.modelhunter.ai/api/v1/files/file_abc123/complete \ -H "Authorization: Bearer river_live_xxx"
{ "success": true, "data": { "id": "file_abc123", "url": "https://cdn.modelhunter.ai/files/file_abc123.jpg", "filename": "my-image.jpg", "content_type": "image/jpeg", "size_bytes": 2048576, "created_at": "2025-01-15T10:00:30Z" } }
curl -X POST https://api.modelhunter.ai/api/v1/vidu/image-to-video \ -H "Authorization: Bearer river_live_xxx" \ -H "Content-Type: application/json" \ -d '{ "model": "viduq3-turbo", "input": { "image_url": "https://cdn.modelhunter.ai/files/file_abc123.jpg", "prompt": "A cat walking gracefully", "duration": 4 } }'
image_url
video_url